Package org.apache.qpid.proton.codec.security

# Class SaslOutcomeType.SaslOutcomeWrapper

java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
org.apache.qpid.proton.codec.security.SaslOutcomeType.SaslOutcomeWrapper

All Implemented Interfaces:
  `Iterable`, `Collection`, `List`

Enclosing class:
  `SaslOutcomeType`

public static final class SaslOutcomeType.SaslOutcomeWrapper extends AbstractList

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`SaslOutcomeWrapper(SaslOutcome impl)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(int index)`
`int`
`size()`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

## Constructor Details

### SaslOutcomeWrapper

public SaslOutcomeWrapper(SaslOutcome impl)

## Method Details

### get

public Object get(int index)

Specified by:
  `get` in interface `List`
Specified by:
  `get` in class `AbstractList`

### size

public int size()

Specified by:
  `size` in interface `Collection`
Specified by:
  `size` in interface `List`
Specified by:
  `size` in class `AbstractCollection`